Index: trunk/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 7698)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 7753)
@@ -381,5 +381,4 @@
          !
          ! WARNING ptab is defined only between nld and nle
-!$OMP PARALLEL DO schedule(static) private(jk, jj, ji)
          DO jk = 1, jpk
             DO jj = nlcj+1, jpj                 ! added line(s)   (inner only)
@@ -400,51 +399,17 @@
          !                                        !* Cyclic east-west
          IF( nbondi == 2 .AND. (nperio == 1 .OR. nperio == 4 .OR. nperio == 6) ) THEN
-!$OMP PARALLEL DO schedule(static) private(jk, jj)
-            DO jk = 1, jpk
-               DO jj = 1, jpj
-                  ptab( 1 ,jj,jk) = ptab(jpim1,jj,jk)
-                  ptab(jpi,jj,jk) = ptab(  2  ,jj,jk)
-               END DO
-            END DO
+            ptab( 1 ,:,:) = ptab(jpim1,:,:)
+            ptab(jpi,:,:) = ptab(  2  ,:,:)
          ELSE                                     !* closed
-            IF( .NOT. cd_type == 'F' ) THEN
-!$OMP PARALLEL DO schedule(static) private(jk, jj)
-               DO jk = 1, jpk
-                  DO jj = 1, jpj
-                     ptab(     1       :jpreci,jj,jk) = zland    ! south except F-point
-                  END DO
-               END DO
-            END IF
-!$OMP PARALLEL DO schedule(static) private(jk, jj)
-            DO jk = 1, jpk
-               DO jj = 1, jpj
-                  ptab(nlci-jpreci+1:jpi   ,jj,jk) = zland    ! north
-               END DO
-            END DO
+            IF( .NOT. cd_type == 'F' )   ptab(     1       :jpreci,:,:) = zland    ! south except F-point
+                                         ptab(nlci-jpreci+1:jpi   ,:,:) = zland    ! north
          ENDIF
                                           ! North-south cyclic
          IF ( nbondj == 2 .AND. jperio == 7 )    THEN !* cyclic north south only with no mpp split in latitude
-!$OMP PARALLEL DO schedule(static) private(jk, ji)
-            DO jk = 1, jpk
-               DO ji = 1, jpi
-                  ptab(ji,1 , jk) = ptab(ji, jpjm1,jk)
-                  ptab(ji,jpj,jk) = ptab(ji,     2,jk)
-               END DO
-            END DO
+            ptab(:,1 , :) = ptab(:, jpjm1,:)
+            ptab(:,jpj,:) = ptab(:,     2,:)
          ELSE   !                                   ! North-South boundaries (closed)
-            IF( .NOT. cd_type == 'F' )   THEN
-!$OMP PARALLEL DO schedule(static) private(jk, ji)
-               DO jk = 1, jpk
-                  DO ji = 1, jpi
-                     ptab(ji,     1       :jprecj,jk) = zland       ! south except F-point
-                  END DO
-               END DO
-            END IF
-!$OMP PARALLEL DO schedule(static) private(jk, ji)
-            DO jk = 1, jpk
-               DO ji = 1, jpi
-                  ptab(ji,nlcj-jprecj+1:jpj   ,jk) = zland       ! north
-               END DO
-            END DO
+            IF( .NOT. cd_type == 'F' )   ptab(:,     1       :jprecj,:) = zland       ! south except F-point
+                                         ptab(:,nlcj-jprecj+1:jpj   ,:) = zland       ! north
          ENDIF
          !
@@ -458,12 +423,7 @@
       CASE ( -1, 0, 1 )                ! all exept 2 (i.e. close case)
          iihom = nlci-nreci
-!$OMP PARALLEL DO schedule(static) private(jk, jj, jl)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO jl = 1, jpreci
-                  zt3ew(jj,jl,jk,1) = ptab(jpreci+jl,jj,jk)
-                  zt3we(jj,jl,jk,1) = ptab(iihom +jl,jj,jk)
-               END DO
-            END DO
+         DO jl = 1, jpreci
+            zt3ew(:,jl,:,1) = ptab(jpreci+jl,:,:)
+            zt3we(:,jl,:,1) = ptab(iihom +jl,:,:)
          END DO
       END SELECT
@@ -495,30 +455,15 @@
       SELECT CASE ( nbondi )
       CASE ( -1 )
-!$OMP PARALLEL DO schedule(static) private(jk, jj, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jpreci
-               DO jj = 1, jpj
-                  ptab(iihom+jl,jj,jk) = zt3ew(jj,jl,jk,2)
-               END DO
-            END DO
-         END DO
-      CASE ( 0 )
-!$OMP PARALLEL DO schedule(static) private(jk, jj, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jpreci
-               DO jj = 1, jpj
-                  ptab(jl      ,jj,jk) = zt3we(jj,jl,jk,2)
-                  ptab(iihom+jl,jj,jk) = zt3ew(jj,jl,jk,2)
-               END DO
-            END DO
-         END DO
-      CASE ( 1 )
-!$OMP PARALLEL DO schedule(static) private(jk, jj, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jpreci
-               DO jj = 1, jpj
-                  ptab(jl      ,jj,jk) = zt3we(jj,jl,jk,2)
-               END DO
-            END DO
+         DO jl = 1, jpreci
+            ptab(iihom+jl,:,:) = zt3ew(:,jl,:,2)
+         END DO
+      CASE ( 0 )
+         DO jl = 1, jpreci
+            ptab(jl      ,:,:) = zt3we(:,jl,:,2)
+            ptab(iihom+jl,:,:) = zt3ew(:,jl,:,2)
+         END DO
+      CASE ( 1 )
+         DO jl = 1, jpreci
+            ptab(jl      ,:,:) = zt3we(:,jl,:,2)
          END DO
       END SELECT
@@ -530,12 +475,7 @@
       IF( nbondj /= 2 ) THEN      ! Read Dirichlet lateral conditions
          ijhom = nlcj-nrecj
-!$OMP PARALLEL DO schedule(static) private(jk, ji, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jprecj
-               DO ji = 1, jpi
-                  zt3sn(ji,jl,jk,1) = ptab(ji,ijhom +jl,jk)
-                  zt3ns(ji,jl,jk,1) = ptab(ji,jprecj+jl,jk)
-               END DO
-            END DO
+         DO jl = 1, jprecj
+            zt3sn(:,jl,:,1) = ptab(:,ijhom +jl,:)
+            zt3ns(:,jl,:,1) = ptab(:,jprecj+jl,:)
          END DO
       ENDIF
@@ -567,30 +507,15 @@
       SELECT CASE ( nbondj )
       CASE ( -1 )
-!$OMP PARALLEL DO schedule(static) private(jk, ji, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jprecj
-               DO ji = 1, jpi
-                  ptab(ji,ijhom+jl,jk) = zt3ns(ji,jl,jk,2)
-               END DO
-            END DO
-         END DO
-      CASE ( 0 )
-!$OMP PARALLEL DO schedule(static) private(jk, ji, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jprecj
-               DO ji = 1, jpi
-                  ptab(ji,jl      ,jk) = zt3sn(ji,jl,jk,2)
-                  ptab(ji,ijhom+jl,jk) = zt3ns(ji,jl,jk,2)
-               END DO
-            END DO
-         END DO
-      CASE ( 1 )
-!$OMP PARALLEL DO schedule(static) private(jk, ji, jl)
-         DO jk = 1, jpk
-            DO jl = 1, jprecj
-               DO ji = 1, jpi
-                  ptab(ji,jl,jk) = zt3sn(ji,jl,jk,2)
-               END DO
-            END DO
+         DO jl = 1, jprecj
+            ptab(:,ijhom+jl,:) = zt3ns(:,jl,:,2)
+         END DO
+      CASE ( 0 )
+         DO jl = 1, jprecj
+            ptab(:,jl      ,:) = zt3sn(:,jl,:,2)
+            ptab(:,ijhom+jl,:) = zt3ns(:,jl,:,2)
+         END DO
+      CASE ( 1 )
+         DO jl = 1, jprecj
+            ptab(:,jl,:) = zt3sn(:,jl,:,2)
          END DO
       END SELECT
@@ -992,10 +917,7 @@
       CASE ( -1, 0, 1 )                ! all exept 2 (i.e. close case)
          iihom = nlci-nreci
-!$OMP PARALLEL DO schedule(static) private(jj,jl)
-         DO jj = 1, jpj
-            DO jl = 1, jpreci
-               zt2ew(jj,jl,1) = pt2d(jpreci+jl,jj)
-               zt2we(jj,jl,1) = pt2d(iihom +jl,jj)
-            END DO
+         DO jl = 1, jpreci
+            zt2ew(:,jl,1) = pt2d(jpreci+jl,:)
+            zt2we(:,jl,1) = pt2d(iihom +jl,:)
          END DO
       END SELECT
@@ -1027,24 +949,15 @@
       SELECT CASE ( nbondi )
       CASE ( -1 )
-!$OMP PARALLEL DO schedule(static) private(jj,jl)
          DO jl = 1, jpreci
-            DO jj = 1, jpj
-               pt2d(iihom+jl,jj) = zt2ew(jj,jl,2)
-            END DO
-         END DO
-      CASE ( 0 )
-!$OMP PARALLEL DO schedule(static) private(jj,jl)
+            pt2d(iihom+jl,:) = zt2ew(:,jl,2)
+         END DO
+      CASE ( 0 )
          DO jl = 1, jpreci
-            DO jj = 1, jpj
-               pt2d(jl      ,jj) = zt2we(jj,jl,2)
-               pt2d(iihom+jl,jj) = zt2ew(jj,jl,2)
-            END DO
-         END DO
-      CASE ( 1 )
-!$OMP PARALLEL DO schedule(static) private(jj,jl)
+            pt2d(jl      ,:) = zt2we(:,jl,2)
+            pt2d(iihom+jl,:) = zt2ew(:,jl,2)
+         END DO
+      CASE ( 1 )
          DO jl = 1, jpreci
-            DO jj = 1, jpj
-               pt2d(jl      ,jj) = zt2we(jj,jl,2)
-            END DO
+            pt2d(jl      ,:) = zt2we(:,jl,2)
          END DO
       END SELECT
@@ -1057,10 +970,7 @@
       IF( nbondj /= 2 ) THEN      ! Read Dirichlet lateral conditions
          ijhom = nlcj-nrecj
-!$OMP PARALLEL DO schedule(static) private(ji,jl)
          DO jl = 1, jprecj
-            DO ji = 1, jpi
-               zt2sn(ji,jl,1) = pt2d(ji,ijhom +jl)
-               zt2ns(ji,jl,1) = pt2d(ji,jprecj+jl)
-            END DO
+            zt2sn(:,jl,1) = pt2d(:,ijhom +jl)
+            zt2ns(:,jl,1) = pt2d(:,jprecj+jl)
          END DO
       ENDIF
@@ -1092,24 +1002,15 @@
       SELECT CASE ( nbondj )
       CASE ( -1 )
-!$OMP PARALLEL DO schedule(static) private(ji,jl)
          DO jl = 1, jprecj
-            DO ji = 1, jpi
-               pt2d(ji,ijhom+jl) = zt2ns(ji,jl,2)
-            END DO
-         END DO
-      CASE ( 0 )
-!$OMP PARALLEL DO schedule(static) private(ji,jl)
+            pt2d(:,ijhom+jl) = zt2ns(:,jl,2)
+         END DO
+      CASE ( 0 )
          DO jl = 1, jprecj
-            DO ji = 1, jpi
-               pt2d(ji,jl      ) = zt2sn(ji,jl,2)
-               pt2d(ji,ijhom+jl) = zt2ns(ji,jl,2)
-            END DO
-         END DO
-      CASE ( 1 )
-!$OMP PARALLEL DO schedule(static) private(ji,jl)
+            pt2d(:,jl      ) = zt2sn(:,jl,2)
+            pt2d(:,ijhom+jl) = zt2ns(:,jl,2)
+         END DO
+      CASE ( 1 )
          DO jl = 1, jprecj
-            DO ji = 1, jpi
-               pt2d(ji,jl      ) = zt2sn(ji,jl,2)
-            END DO
+            pt2d(:,jl      ) = zt2sn(:,jl,2)
          END DO
       END SELECT
